#
# spec file for package growpart-generator
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           growpart-generator
VCS: https://src.suse.de/pool/growpart-generator#09279c348893b2ccc725a46c6f1e933765dda51f
Version:        0.8
Release:        2.4
Summary:        Grow a partition automatically
License:        GPL-3.0-only
Group:          System/Management
URL:            https://build.opensuse.org/package/show/devel:kubic/growpart-generator
Source1:        growpart-generator.sh
Source2:        gpl-3.0.txt
BuildRequires:  systemd-rpm-macros
Requires:       growpart
Requires:       systemd
BuildArch:      noarch

%description
This systemd generator implements the "x-growpart.grow" mount options in /etc/fstab
allowing to grow the referenced partition to its maximum size.
It behaves like "x-systemd.growfs" and is usually used in combination with that.

%prep
%setup -q -T -c
cp %{SOURCE2} .

%build

%install
install -Dm0755 -t %{buildroot}%{_systemdgeneratordir} %{SOURCE1}

%files
%license gpl-3.0.txt
# Dir ownership to avoid the systemd BuildRequires
%dir %{_systemdgeneratordir}
%{_systemdgeneratordir}/growpart-generator.sh

%changelog
* Wed Feb 16 2022 fvogt@suse.com
- Get the parent device with lsblk
- Improve the partition number extraction to work with device names
  containing multiple numbers (bsc#1196101)
* Mon Nov 11 2019 fvogt@suse.com
- Use %%{_systemdgeneratordir} macro
* Fri Nov  8 2019 fvogt@suse.com
- Initial packaging of the standalone generator
